Bug 521763 - ccs_sync does not manage /etc/sysconfig/cman file. It always expect the cluster.conf to be under /etc/cluster/.
Summary: ccs_sync does not manage /etc/sysconfig/cman file. It always expect the clust...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cman
Version: 11
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Ryan McCabe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 09:11 UTC by Moullé Alain
Modified: 2014-06-10 07:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:32:02 UTC
Type: ---


Attachments (Terms of Use)

Description Moullé Alain 2009-09-08 09:11:45 UTC
Description of problem:
corosync should take in account file /etc/sysconfig/cman where we can put :
export COROSYNC_CLUSTER_CONFIG_FILE=/repertories.../cluster.conf
so that cluster.conf could be elsewhere than /etc/cluster/.
(note, Fabio wrote also about similar thing in /etc/sysconfig/cluster file
but I don't know if it must be in both files or whatever one of them, but
in my case, cman is working fine with only the /etc/sysconfig/cman file)

Version-Release number of selected component (if applicable):

corosynclib-1.0.0-1.fc11.x86_64
corosync-1.0.0-1.fc11.x86_64
cman-3.0.2-1.fc11.x86_64

How reproducible:
remove the /etc/cluster/cluster.conf on all nodes on the cluster and put
the file /etc/sysconfig/cman with the "export line" as mentioned above.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Steven Dake 2009-09-28 15:34:34 UTC
Chrissie,

Can you diagnose if this is intended behavior or if this bugzilla is a RFE?

Regards
-steve

Comment 2 Christine Caulfield 2009-09-28 15:54:41 UTC
It works fine on my cluster. 

Can you provide more information please? Full log files and copy of /etc/sysconfig/cman.

Perhaps also the output of 'sh -x /etc/init.d/cman start'

Comment 3 Fabio Massimo Di Nitto 2009-09-28 16:57:18 UTC
This is a RFE... ccs_sync has hardcoded knowledge of /etc/cluster/cluster.conf while it should be able to deal (ipotetically) with any config file.

Ryan has a detailed email on what it needs to look for.

Comment 4 Christine Caulfield 2009-09-29 07:24:48 UTC
ahhm, the full description doesn't mention ccs_sync at all, it says "corosync should take into account". I assume that is a typo then, sorry.

Yes it's RFE

Comment 5 Bug Zapper 2010-04-28 10:13:43 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-06-28 14:32:02 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Moullé Alain 2014-06-10 07:11:57 UTC
Hi

Much too old for me. I can't do anything on Federa now ... Sorry ...

Alain Moullé


Note You need to log in before you can comment on or make changes to this bug.